using System;

namespace ConsoleApp33
{
    class Program
    {
        static void Main(string[] args)
        {

            string st = Console.ReadLine();
            int n = int.Parse(st.Split(' ')[0]);
            int m = int.Parse(st.Split(' ')[1]);
            int[,] du = new int[n, 2];
            int[,] lrx = new int[m, 3];
            int d = 0;
            for (int i = 0; i < n; i++)
            {
                st = Console.ReadLine();
                du[i, 0] = int.Parse(st.Split(' ')[0]);
                du[i, 1] = int.Parse(st.Split(' ')[1]);
            }
            
            for (int i = 0; i < m; i++)
            {

                st = Console.ReadLine();
                lrx[i, 0] = int.Parse(st.Split(' ')[0]);
                lrx[i, 1] = int.Parse(st.Split(' ')[1]);
                lrx[i, 2] = int.Parse(st.Split(' ')[2]);

            }
            
            for (int i = 0; i < m; i++)
            {
                for (int j = lrx[i, 0] - 1; j < lrx[i, 1]; j++)
                {
                    if (lrx[i, 2] >= du[j, 0] && lrx[i, 2] <= du[j, 1]) d++;


                }
                Console.WriteLine(d);
                d = 0;
            }

        }

    }
}